> For the complete documentation index, see [llms.txt](https://doc.wearepatchworks.com/product-documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://doc.wearepatchworks.com/product-documentation/api-reference/company-insights/flow-metric-value-summaries.md).

# Flow Metric Value Summaries

## List Flow Metric Value Summaries

> List all flow metric value summaries.\
> \
> \## Available Includes\
> \
> These are the includes that can be used to include addition related data in the results. Please see the section on using includes for more details.\
> \
> \- model\
> \- model\_count\
> \- modelExists\
> \
> \
> \## Available Filters\
> \
> These are the filters that can be used to specific the data to return. Please see the section on using filters for more details.\
> \
> \- model\_type\
> \- model\_id\
> \- interval\_unit\
> \- key\
> \- for\_month\
> \
> \
> \
> \
> \## Available Sorts\
> \
> These are the sorts that can be used order the returned data. Please see the section on using sorting for more details.\
> \
> \- created\_at

```json
{"openapi":"3.0.0","info":{"title":"Patchworks Core API","version":"1.0.0"},"tags":[{"name":"Flow Metric Value Summaries"}],"servers":[{"url":"https://core.wearepatchworks.com"}],"security":[{"ApiKeyAuth":[]},{"BearerAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"API key passed in the Authorization header. Format: `<api-key>`"},"BearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"OAuth 2 Bearer token obtained from POST /fabric/api/login"}},"schemas":{"FlowMetricValueSummariesListResponse":{"type":"object","properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/FlowMetricValueSummaries"}},"meta":{"$ref":"#/components/schemas/PaginationMeta"},"links":{"$ref":"#/components/schemas/PaginationLinks"}}},"FlowMetricValueSummaries":{"type":"object","properties":{"id":{"type":"integer","description":"Unique identifier"},"created_at":{"type":"string","format":"date-time"},"updated_at":{"type":"string","format":"date-time"}}},"PaginationMeta":{"type":"object","properties":{"current_page":{"type":"integer"},"from":{"type":"integer","nullable":true},"last_page":{"type":"integer"},"path":{"type":"string"},"per_page":{"type":"integer"},"to":{"type":"integer","nullable":true},"total":{"type":"integer"}}},"PaginationLinks":{"type":"object","properties":{"first":{"type":"string","format":"uri"},"last":{"type":"string","format":"uri"},"prev":{"type":"string","format":"uri","nullable":true},"next":{"type":"string","format":"uri","nullable":true}}}}},"paths":{"/api/v1/flow-metric-value-summaries":{"get":{"summary":"List Flow Metric Value Summaries","description":"List all flow metric value summaries.\n\n## Available Includes\n\nThese are the includes that can be used to include addition related data in the results. Please see the section on using includes for more details.\n\n- model\n- model_count\n- modelExists\n\n\n## Available Filters\n\nThese are the filters that can be used to specific the data to return. Please see the section on using filters for more details.\n\n- model_type\n- model_id\n- interval_unit\n- key\n- for_month\n\n\n\n\n## Available Sorts\n\nThese are the sorts that can be used order the returned data. Please see the section on using sorting for more details.\n\n- created_at","parameters":[{"name":"filter[model_type]","in":"query","required":false,"schema":{"type":"string"},"description":"Filter results by model_type."},{"name":"filter[model_id]","in":"query","required":false,"schema":{"type":"string"},"description":"Filter results by model_id."},{"name":"filter[interval_unit]","in":"query","required":false,"schema":{"type":"string"},"description":"Filter results by interval_unit."},{"name":"filter[key]","in":"query","required":false,"schema":{"type":"string"},"description":"Filter results by key."},{"name":"filter[for_month]","in":"query","required":false,"schema":{"type":"string"},"description":"Filter results by for_month."},{"name":"include","in":"query","required":false,"schema":{"type":"string"},"description":"Comma-separated list of relationships to include. Available: model"},{"name":"sort","in":"query","required":false,"schema":{"type":"string"},"description":"Sort field. Prefix with - for descending. Available: created_at"},{"name":"page","in":"query","required":false,"schema":{"type":"integer","minimum":1,"default":1},"description":"Page number for pagination."},{"name":"per_page","in":"query","required":false,"schema":{"type":"integer","minimum":1,"maximum":100},"description":"Number of results per page."}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FlowMetricValueSummariesListResponse"}}}},"401":{"description":"Unauthenticated"},"403":{"description":"Unauthorized"}},"tags":["Flow Metric Value Summaries"]}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://doc.wearepatchworks.com/product-documentation/api-reference/company-insights/flow-metric-value-summaries.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
